function val = myDeterminant( x )
% x is a 3-by-3 matrix, and val is the determinant of x

val = 0;    % initialization
N = 3;      % size of the matrix
sgn = 1;    % sign of the terms

for i=1:N
    % calculates the algebraic complement of x(1, i)
    m = [x(2:end, 1:(i-1)) x(2:end, (i+1):end)];
    val = val + sgn * x(1, i) * det(m);
    sgn = -sgn;
end

